Company list
curl --request GET \
--url https://api.sortx.co.uk/companies \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/companies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"legacyContactId": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressTown": "<string>",
"addressPostcode": "<string>",
"overseas": true,
"roles": [
"<string>"
],
"registrationNumber": "<string>",
"registrationJurisdiction": "<string>",
"website": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"people": [
{
"contactId": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>",
"archivedAt": "<string>",
"kind": "<string>"
}
]
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}contacts
Company list
List companies
GET
/
companies
Company list
curl --request GET \
--url https://api.sortx.co.uk/companies \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/companies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"legacyContactId": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressTown": "<string>",
"addressPostcode": "<string>",
"overseas": true,
"roles": [
"<string>"
],
"registrationNumber": "<string>",
"registrationJurisdiction": "<string>",
"website": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"people": [
{
"contactId": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>",
"archivedAt": "<string>",
"kind": "<string>"
}
]
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Query Parameters
Response
Success
Show child attributes
Show child attributes